Package com.google.android.exoplayer2.source.chunk

## Class ChunkHolder

- java.lang.Object
- - com.google.android.exoplayer2.source.chunk.ChunkHolder

-     public final class ChunkHolder
      extends Object

  Holds a chunk or an indication that the end of the stream has been reached.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Chunk` | `chunk` | The chunk.
    `boolean` | `endOfStream` | Indicates that the end of the stream has been reached.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChunkHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clears the holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunk

          @Nullable
          public Chunk chunk

      The chunk.

    - #### endOfStream

          public boolean endOfStream

      Indicates that the end of the stream has been reached.

  - ### Constructor Detail

    - #### ChunkHolder

          public ChunkHolder()

  - ### Method Detail

    - #### clear

          public void clear()

      Clears the holder.